import request from '@/utils/request'

// 查询自行车棚防化靴/防化服柜子列表
export function listCmldefLocker(query) {
  return request({
    url: '/production/cmldefLocker/list',
    method: 'get',
    params: query
  })
}

// 查询自行车棚防化靴/防化服柜子详细
export function getCmldefLocker(id) {
  return request({
    url: '/production/cmldefLocker/' + id,
    method: 'get'
  })
}

// 新增自行车棚防化靴/防化服柜子
export function addCmldefLocker(data) {
  return request({
    url: '/production/cmldefLocker',
    method: 'post',
    data: data
  })
}

// 修改自行车棚防化靴/防化服柜子
export function updateCmldefLocker(data) {
  return request({
    url: '/production/cmldefLocker',
    method: 'put',
    data: data
  })
}

// 删除自行车棚防化靴/防化服柜子
export function delCmldefLocker(id) {
  return request({
    url: '/production/cmldefLocker/' + id,
    method: 'delete'
  })
}

// 导出自行车棚防化靴/防化服柜子
export function exportCmldefLocker(query) {
  return request({
    url: '/production/cmldefLocker/export',
    method: 'get',
    params: query
  })
}